=== modified file '__init__.py'
--- __init__.py	2007-04-13 16:16:41 +0000
+++ __init__.py	2007-04-13 17:23:54 +0000
@@ -36,12 +36,13 @@
                      commands.Option('extract', help='test extract time'),
                      commands.Option('single', help='use a single parent'),
                      commands.Option('verify', help='verify added texts'),
+                     commands.Option('cache', help='Aggresively cache'),
                     ]
     hidden = True
 
     def run(self, file=None, sync_snapshots=False, snapshot_interval=26,
             lsprof_timed=False, dump=False, extract=False, single=False,
-            verify=False, outfile=None, memory=False):
+            verify=False, outfile=None, memory=False, cache=False):
         if file is None:
             wt, path = WorkingTree.open_containing('.')
             file_weave = wt.branch.repository.get_inventory_weave()
@@ -77,13 +78,14 @@
 
         try:
             vf.import_versionedfile(file_weave, to_sync, single_parent=single,
-                                    verify=verify)
+                                    verify=verify, no_cache=not cache)
         except:
             vf.destroy()
             raise
         try:
             print >> sys.stderr, "%d actual snapshots" % len(to_sync)
-            vf.clear_cache()
+            if not cache:
+                vf.clear_cache()
             if False:
                 for revision_id in file_weave.get_ancestry(
                     [bt.inventory[file_id].revision]):

=== modified file 'multiparent.py'
--- multiparent.py	2007-04-13 16:09:03 +0000
+++ multiparent.py	2007-04-13 17:23:54 +0000
@@ -9,9 +9,9 @@
     trace,
     ui,
     )
-
 from bzrlib.tuned_gzip import GzipFile
 
+
 def topo_iter(vf):
     seen = set()
     descendants = {}
@@ -365,9 +365,10 @@
         reconstructor = _Reconstructor(self, self._lines,
                                        self._parents)
         reconstructor.reconstruct_version(lines, version_id)
-        #self._lines[version_id] = lines
+        self._lines[version_id] = lines
         return lines
 
+
 class MultiMemoryVersionedFile(BaseVersionedFile):
 
     def __init__(self, snapshot_interval=25, max_snapshots=None):

